# Generated from jasmine-3.10.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jasmine

Name: rubygem-%{gem_name}
Version: 3.10.0
Release: 1%{?dist}
Summary: JavaScript BDD framework
License: MIT
URL: http://jasmine.github.io/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rails) >= 6
# BuildRequires: rubygem(rails) < 7.0.0
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(multi_json)
# BuildRequires: rubygem(rspec) >= 2.5.0
# BuildRequires: rubygem(nokogiri)
BuildArch: noarch

%description
Test your JavaScript without any framework dependencies, in any environment,
and with a nice descriptive syntax.
Jasmine for Ruby is deprecated. We recommend using the
jasmine-browser-runner NPM package instead. It supports all the same
scenarios as this gem plus Webpacker. See
https://jasmine.github.io/setup/browser.html for setup instructions, and
https://github.com/jasmine/jasmine-gem/blob/main/release_notes/3.9.0.md
for other options.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/jasmine
%{gem_instdir}/.circleci
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/HOW_TO_TEST.markdown
%license %{gem_instdir}/MIT.LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%doc %{gem_instdir}/RELEASE.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/jasmine.gemspec
%doc %{gem_instdir}/release_notes
%{gem_instdir}/spec

%changelog
* Thu Oct 14 2021 mockbuilder - 3.10.0-1
- Initial package
